@charset "UTF-8";

/* body */
h1, h2, h3, th {
        font-weight: normal;
}
body {
        height: 100%; /* ページ全体を100%の高さにする */
        min-height: 100vh; /* ビューポートの高さを確保 */
        margin: 0;
        padding: 0;
        display: flex;
        flex-direction: column; /* 縦方向のレイアウト */
        font-family: Arial, sans-serif;
        line-height: 1.6;
        background-color: #f8f4e6;
}



/* header */
header {
        background-color: #ffffff;
        margin: 0px;
        padding: 0px;
}

/* nav */
.head_nav nav a {
        font-family: serif;
}
.head_wrap {
        display: flex; /* フレックスボックスを使用 */
        justify-content: space-between; /* 子要素を両端に配置 */
        align-items: center; /* 垂直方向を中央揃え */
        padding: 0 15px; /* 左右に余白を追加 */;
}
.top_logo { text-decoration: none; }
.head_logo {
        height: 70px;
        padding-top: 10px;
}
.sub_logo {
        height: 30px;
        padding-bottom: 5px;
}
nav {
        margin-left: auto; /* 右寄せ */
        display: flex; /* フレックスボックスでナビリンクを水平配置 */
        padding-top: 30px;
        gap: 20px; /* ナビ間にスペースを追加 */
}
 nav a {
        text-decoration: none; /* 下線を削除 */
        color: #000000; /* リンクの色を設定（任意） */
        font-size: 20px; /* フォントサイズを調整（任意） */
}
.head_wrap {
        height: 80px;
}
nav a:hover {
        color: #C39143;
}

/* ハンバーガーメニュー初期状態 */
.menu_toggle {
        display: none;
        align-items: center;
        justify-content: center;
        background: none;
        border: none;
        cursor: pointer;
        width: 50px;
        height: 50px;
        position: relative;
        z-index: 1000;
}
.hamburger {
        position: relative;
        width: 30px;
        height: 20px;
}
.hamburger, .hamburger::before, .hamburger::after {
        background-color: rgb(0, 0, 0);
        height: 3px;
        width: 30px;
        border-radius: 2px;
        transition: all 0.4s ease;
}
.hamburger::before,
.hamburger::after {
        content: "";
        position: absolute;
        left: 0;
}
.hamburger::before {
        top: 8px;
}
.hamburger::after {
        bottom: 8px;
}

/* main */
.main {
        flex: 10; /* メインコンテンツを伸ばしてフッターを最下部に固定 */
}
.wrap {
        position: relative;
        z-index: 10;
        width: 90%; max-width: 900px; margin: 20px auto; padding: 10px;
}
header, .head_wrap {
        margin: 0;
        padding-left: 2px;
}

/* footer */
footer {
        background-color: #165e83;
        color: #ffffff;
        bottom: 0;
        width: 100%;
        text-align: center; /* 文字を中央寄せ */
        padding: 10px 0;
        position: relative; /* 固定ではなく通常配置 */
}
footer a {
        color: #ffffff;
}
footer a:hover {
        text-decoration: underline;
}

/* サブタイ */
.sub-tytle {
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    position: relative; /* 背景を適用するために必要！ */
    background-size: cover; /* 画面いっぱいに広げる */
    background-position: center; /* 中央に配置 */
    background-repeat: no-repeat; /* 繰り返しなし */
    margin-bottom: 20px;
}
#komatsuhuku_subtytle {
    background-image: url('../images/DF6A2D00-9D1B-427A-B4E1-73305A440168\(dark\).jpg');
}
#takumi_subtytle {
    background-image: url('../images/DF6A2D00-9D1B-427A-B4E1-73305A440168\(dark\).jpg');
}
.sub-tytle h2 {
    font-size: 50px;
    font-family: serif;
    color: #ffffff;
}


/* 戻るボタン */
html { scroll-behavior: smooth; }
.pagetop { height: 50px; width: 50px; position: fixed; right: 30px; bottom: 50px; background: rgba(216, 216, 216, 0.5); border: solid 2px rgba(31, 31, 31, 0.5);border-radius: 50%; display: flex; justify-content: center; align-items: center; z-index: 2; }
.pagetop_arrow { height: 10px; width: 10px; border-top: 3px solid #1f1f1f50; border-right: 3px solid #1f1f1f50; transform: translateY(20%) rotate(-45deg); }


/* ホーム */
.top {
        margin: 0;
        padding: 0;
        display: flex;
        justify-content: center;
        position: relative; /* 背景を適用するために必要！ */
        background-image: url('../images/DF6A2D00-9D1B-427A-B4E1-73305A440168.jpg');
        background-size: cover; /* 画面いっぱいに広げる */
        background-position: center; /* 中央に配置 */
        background-repeat: no-repeat; /* 繰り返しなし */
}
#topimg {
        width: 800px;
}
@media (max-width: 1400px) {    /* top画の幅調整 */
        #topimg {
                width: 70%;
                height: auto;
        }
}
.index_midashi {
        text-align: center;
        font-weight: bold;
        font-family: serif;
        font-size: 25px;
}
.index_mes1-2 {
        margin-top: 50px;
        text-align: center;
}
.index_mes1-1-1 {
        text-align: center;
        font-family: serif;
        font-size: 18px;
}
.contact_button {
        display: flex; justify-content: center;
}
.akawaku {
        text-decoration: none; font-size: 18px; padding: 10px; background-color: #B94047; color: #ffffff;
}
.index_mes1-2,
.contact_button {
        margin: 30px;
}

@media (max-width: 768px) {
        .index_mes p {
                text-indent: 1em;
        }
}


/* 問い合わせフォーム */
.contact_setsumei {
        font-size: 16px;
}
.contact_tyuui { color: #ff0000 }
.form_inner {
        max-width: 1030px;
        padding: 0 15px;
        margin: 0 auto;
        margin-bottom: 30px;
}
.form_table {
        width: 100%;
        max-width: 95%;
        background-color: #ffffff;
}
.form_table input:not(.form_name input), .form_table textarea {
        width: 100%;
        box-sizing: border-box;
}
.form_table th,
.form_table td {
        padding: 5px;
        border-top: 1px solid #ddd;
        border-bottom: 1px solid #ddd;
        vertical-align: middle;
}
.form_table th {
        text-align: left;
        width: 250px;
        height: 60px;
        background: #dddddd;
}
.form_table th.hissu {
        position: relative;
}
.form_table th.hissu::before,
.form_table th.hissu::after {
        content: "必須";
        display: inline-block;
        color: #FFF;
        background: #B94047;
        line-height: 16px;
        font-size: 14px;
        padding: 0 4px;
        font-weight: bold;
        position: absolute;
        right: 15px;
        top: 50%;
        margin-top: -8px;
}
.form_table th.hissu::before {
        display: none;
}
.form_name input {
        margin-right: 10px;
}
.form_name input:first-child {
        margin-left: 0;
}
.form_msg {
        min-height: 10em;
        height: auto;
}
.contact_policy {
        display: flex; justify-content: center; margin: 10px; text-decoration: underline; font-weight: bold;
}
.contact_policy a:link,
.contact_policy a:visited {
        color: #B94047;
}
.form_button {
        text-align: center; /* 親要素内で中央揃え */
        margin: 10px;
}
.form_button button {
        max-width: 350px;
        width: 100%;
        font-size: 25px;
        font-weight: bold;
        color: #ffffff;
        background: #B94047;
        padding: 25px;
        border-radius: 5px;
        cursor: pointer;
        border: 0px;
        display: block;
        margin: auto;;
}
.form_button button p {
        font-size: 18px;
        margin-top: -1px;
}
button em {
        font-style: normal;
}

@media (max-width: 768px) {
        button em { font-size: 20px; }
}


/* 個人情報の取扱い */
.policy_text h2 { margin-top: 50px; }
.policy_text h3 { margin-top: 30px; }
.policy_text p { text-indent: 1em; }


@media (max-width: 1250px) {
        nav {
                display: flex;
                flex-direction: column;
                background-color: #afafafee;
                position: absolute;
                top: 80px;
                right: 0;
                margin: 0;
                width: 100%;
                z-index: 999;
                /* フェードアニメーション用 */
                opacity: 0;
                visibility: hidden;
                pointer-events: none;
                transform: translateY(-10px);
                transition: opacity 0.5s ease, visibility 0.5s ease;
        }
        nav.active {
                display: flex;
                opacity: 1;
                visibility: visible;
                pointer-events: auto;
                transform: translateY(0); /* 元の位置にスッと */
        }
        .menu_toggle {
                display: block;
                display: flex;
                align-items: center;
                justify-content: center;
                position: absolute;
                right: 15px;
                top: 50%; /* 真ん中に配置 */
                transform: translateY(-50%); /* 中央基準で揃える */
        }
        .head_wrap {
                position: relative;
        }
        nav a {
                padding: 10px;
                border-bottom: 1px solid rgba(255, 255, 255, 0.2);
                font-size: 18px;
        }
        .menu_toggle.active .hamburger {
                background-color: transparent; /* 中央線を透明にする */
        }
        .menu_toggle.active .hamburger::before {
                transform: rotate(45deg);
                top: 0;
        }
        .menu_toggle.active .hamburger::after {
                transform: rotate(-45deg);
                top: 0;
        }
}


@media (max-width: 768px) { /* モバイル用のメディアクエリ */

/*全体*/

/* インデックスメッセージを縦並びに */
        .index_mes {
                flex-direction: column;
                align-items: center;
                gap: 20px;
                padding: 15px;
        }
/* ヘッダーの高さ調整 */
        .head_wrap {
                flex-direction: row;
                align-items: center;       /* 中央揃え */
                justify-content: space-between;
                height: 65px;
                padding: 0 10px;
        }
        .head_logo {
                height: 50px;
                margin: 0;
        }
        .sub_logo {
                height: 20px;
        }
        /* ナビゲーション非表示（モバイル） */
        nav {
                display: flex;
                flex-direction: column;
                background-color: #afafafee;
                position: absolute;
                top: 65px;
                right: 0;
                margin: 0;
                width: 100%;
                z-index: 999;
                /* フェードアニメーション用 */
                opacity: 0;
                visibility: hidden;
                pointer-events: none;
                transform: translateY(-10px);
                transition: opacity 0.5s ease, visibility 0.5s ease;
        }
        nav.active {
                display: flex;
                opacity: 1;
                visibility: visible;
                pointer-events: auto;
                transform: translateY(0); /* 元の位置にスッと */
        }
        .menu_toggle {
                display: block;
                display: flex;
                align-items: center;
                justify-content: center;
                position: absolute;
                right: 15px;
                top: 50%; /* 真ん中に配置 */
                transform: translateY(-50%); /* 中央基準で揃える */
        }
        .head_wrap {
                position: relative;
        }
        nav a {
                padding: 10px;
                border-bottom: 1px solid rgba(255, 255, 255, 0.2);
                font-size: 18px;
        }
        .menu_toggle.active .hamburger {
                background-color: transparent; /* 中央線を透明にする */
        }
        .menu_toggle.active .hamburger::before {
                transform: rotate(45deg);
                top: 0;
        }
        .menu_toggle.active .hamburger::after {
                transform: rotate(-45deg);
                top: 0;
        }

/* フッターの文字サイズ調整 */
        footer {
                font-size: 16px;
                padding: 15px 0;
        }
/* ボタンサイズを調整 */
        .form_button button {
                font-size: 14px;
                padding: 15px;
        }
/* サブタイ */
        .sub-tytle h2{
        font-size: 30px;
        }



/* 問合せ */
        .form_table th.hissu::after {
                display: block; /* 必須をブロック表示にする */
                position: static; /* 絶対位置を解除 */
                margin: 5px; /* 上下に余白を追加 */
                text-align: center; /* 左寄せに整列（必要なら） */
        }
        .form_table th {
                font-size: 12px;
                width: 9em;
                line-height: 1.6;
        }
}